Summary:	Graphical frontend to communicate with mobiles
Summary(pl.UTF-8):	Graficzny interfejs do komunikacji z urządzeniami przenośnymi
Name:		obextool
Version:	0.35
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/obextool/%{name}-%{version}.tar.gz
# Source0-md5:	4d225b365613fe88f49b3713d5c35136
URL:		http://www.tech-edv.co.at/programmierung/en/gplsw.html
Requires:	obexftp
Requires:	tcl
Requires:	tk-BWidget
Requires:	tklib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_packagedir	%{_datadir}/%{name}

%description
ObexTool is a graphical frontend to communicate with mobiles and other
devices capable of communicating via Obex Protocol.

%description -l pl.UTF-8
ObexTool to graficzny interfejs do komunikacji z urządzeniami
przenośnymi i innymi urządzeniami potrafiącymi komunikować się za
pomocą protokołu Obex.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name},%{_bindir},%{_packagedir},%{_desktopdir}}

cp -a etc/* $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
cp -a * $RPM_BUILD_ROOT%{_packagedir}
rm -rf $RPM_BUILD_ROOT%{_packagedir}/{etc,doc}

cat > $RPM_BUILD_ROOT%{_bindir}/obextool << 'EOF'
#!/bin/sh
# ObexTool startup shell
#
MODEM="/dev/modem"
[ -n "$1" ] && MODEM="$1"
OBEXDIR=%{_packagedir}
OBEXTOOL_CFG=%{_sysconfdir}/obextool
OBEXTCMD="%{_bindir}/obexftp -t ${MODEM}"
export OBEXDIR OBEXTOOL_CFG OBEXTCMD
#
# Let's start the ObexTool without memory status
# feature (if no Siemens), using Tk version 8.4 and
# a specific configuration directory %{_sysconfdir}/obextool
# and the contributed static compiled obexftp version.
exec %{_bindir}/wish $OBEXDIR/obextool.tk --memstat 0
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_bindir}/*
%{_packagedir}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*.???
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*.sh
%changelog
* Sun Mar 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/obextool.git;a=log;h=master

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 004c559
- x32 rebuild
- release 3 (by relup.sh)

* Mon Mar 15 2010 amateja <amateja@pld-linux.org> f10f16d
- replaced R: tablelist with tklib
- release 2

* Mon Mar 15 2010 amateja <amateja@pld-linux.org> d28bbb3
- updated to 0.35

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1a0a892
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9ad477f
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> d93da6c
- avoid defining default %attr

* Thu Mar 30 2006 Elan Ruusamäe <glen@pld-linux.org> 22806aa
- use exec

* Thu Mar 30 2006 Elan Ruusamäe <glen@pld-linux.org> 82a9f62
- when will people use 'EOF' instead of EOF, instead of quoting without a point

* Thu Mar 30 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f7ad10
- rel 1

* Thu Mar 30 2006 spider <spider@pld-linux.org> fba57f0
- fix realese version

* Thu Mar 30 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> ffea7f9
- package files

* Mon Oct 03 2005 Jakub Bogusz <qboosh@pld-linux.org> d751e4b
- fixed md5

* Mon Oct 03 2005 Jakub Bogusz <qboosh@pld-linux.org> 719e337
- pl

* Fri Sep 23 2005 Paweł Gołaszewski <blues@pld-linux.org> 7729d71
- spec needs finishing - raw unpacked - works

